/**Обнуление**/
*,*::before,*::after{
    padding: 0;
    margin: 0;
    border: 0;
    box-sizing: border-box;
}

html,body{
    font-family: Arial, Helvetica, sans-serif;
    height: 100%;
    background: rgb(27, 121, 82) url('images/img.png') no-repeat;
    background-attachment: fixed;
    background-position: center center;               
    background-size: cover;  
}


.container {
    min-height: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    max-width: 1440px;
    margin: 0px auto;
    padding: 0px 15px;
}

.three-block {
    margin: 35px 0px 35px 0px;
}

.opacity_black{
    background: rgba(0, 0, 0, 0.4);

}
.three-block_container {
}
.three-block_title {
    text-align: center;
}
.block-title {
    color: rgb(255, 0, 0);
    font-size: 50px;
}

.block-text_padding{
    margin: 0px 0px 85px 0px;
}

.three-block-items{

    display: flex;
    max-width: 1580px;
    margin: 0px;
    gap: 72px;
}

.three-block-item {
    
    flex: 0 1 33.3333%;
}

.item-three-block {
    /**background: rgb(237, 237, 237);
    box-shadow: 0px 4px 18px rgba(88, 126, 236, 0.18);**/
    border-radius: 8px;
    display: flex;
    
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding:0px 0px;
}
.item-three-block_title {
    
    font-weight: 700;
    font-size: 30px;
    line-height: 138.5%;
    color: rgb(255, 255, 255);
    margin: auto;
    @media(max-width: 1080px){
        font-weight: 700;
        font-size: 15px;
        line-height: 138.5%;
        color: rgb(255, 255, 255);
        margin: auto;
    }
}


.item-three-block_icon {
    margin: 0px 0px 0px 0px;
    max-width: 140px;
    max-height: 90px;
}
/**
.item-three-block_text {
    line-height: 138.5%;
}
**/
.main_block{
    flex: 1 1 auto;
}


.main_block_text_txt{
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 111.68%;
    /* or 18px */
    color: #FFFFFF;
}

.links {
    padding-bottom: 15px;
    margin-left: 4%;
    max-width: 900px;
    display: flex;
    justify-content: space-around;
    
}
.link_from_vk {
    margin-top: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    
}

.link_from_vk_first{
    margin-top: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.link_from_vk_icon {
}
.link_from_vk_icon_icon {
    height: 140px;
    width: 140px;
    margin-bottom: 35px;
}
.link_from_vk_qr {
}
.link_from_vk_qr_qr {
    height: 256px;
    width: 256px;
}

/**DETACTION_PART**/
.header_detaction {
    /*background: rgb(231, 0, 0);*/
    max-width: 100%;
    margin: -100px 0px 0px 0px;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    max-height: 150px;
}
.header_detaction_icon {
    max-height: 120px;
}
.header_detaction_icon_img{
    width: 100%;
    max-width: 150px;
    height: auto;
}

.main{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    flex: 1 1 auto;
}

.main_recognized_signs {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 25px;
}
.main_recognized_signs_block {
    width: 140px;
    height: 140px;

    background: #006376;
    border-radius: 25px;
}
.main_video_stream {
    background: #278F8E;   
}
.main_style_stream {
    width: 100%;
    max-width: 800px;
    height: 520px;
    border-radius: 26px;
}
.main_confegurations {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

input::placeholder {
    color: #FFFFFF;
  }
.nono_style{
    background: rgba(0, 98, 118, 0);
}
.config {
    padding: 10px 0px 10px 10px;
    text-align: start;
    width: 230px;
    max-height: 70px;
    background: rgba(34, 129, 128, 0.71);
    border-radius: 13px;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 105.18%;
    /* or 34px */
    color: #FFFFFF;
}

.footer_detaction {
    max-height: 150px;
    /*background-color: aqua;*/
}
.footer_buttons {
    margin: 10px 0px;
    /*background: #20f005;*/
    max-height: 120px;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.footer_button_start_and_stop {
    width: 100%;
    max-width: 215px;
    height: 90px;
    background: rgba(39, 143, 142, 0.44);
    border-radius: 18px;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    font-size: 34px;
    line-height: 105.18%;
    /* or 50px */

    text-align: center;

    color: #FFFFFF;
}
@media(max-width: 800px){
    .footer_button_start_and_stop {
        width: 100%;
        max-width: 140px;
        height: 70px;
        background: rgba(39, 143, 142, 0.44);
        border-radius: 18px;
        font-family: 'Open Sans';
        font-style: normal;
        font-weight: 400;
        font-size: 32px;
        line-height: 105.18%;
        /* or 50px */
    
        text-align: center;
    
        color: #FFFFFF;
    }
}

.qwerty {
    visibility: hidden;
    /*background: rgb(231, 0, 0);*/
    max-width: 100%;
    margin-top: -120px;
    display: flex;
    justify-content: center;
    align-items: center;
    max-height: 150px;
}

/**Cетка адаптива**/


@media(max-width: 1240px){
    .main_recognized_signs_block {
        width: 120px;
        height: 120px;
    }
    .main_style_stream {
        width: 100%;
        max-width: 650px;
        height: 420px;
        border-radius: 26px;
    }
    .config {

        width: 170px;
        max-height: 60px;
        font-size: 16px;
    }
    .footer_button_start_and_stop {
        width: 100%;
        max-width: 185px;
        height: 70px;
        font-size: 28px;
    }
    .footer_detaction {
        margin: 0 0 60px 0;
    }
    .container {
        padding: 15px 0 0 0 ;
    }
}
@media(max-width: 980px){
    .main_recognized_signs_block {
        width: 100px;
        height: 100px;
    }
    .main_style_stream {
        width: 100%;
        max-width: 500px;
        height: 320px;
        border-radius: 26px;
    }
    .config {

        width: 170px;
        max-height: 60px;
        font-size: 16px;
    }
    .footer_button_start_and_stop {
        width: 100%;
        max-width: 185px;
        height: 70px;
        font-size: 28px;
    }
    .footer_detaction {
        margin: 0 0 10px 0;
    }
    .container {
        padding: 15px 0 0 0 ;
    }
    .footer_buttons {
        margin: 10px 0px;
        /*background: #20f005;*/
        max-height: 120px;
        display: flex;
        justify-content: center;
        gap: 100px;
        align-items: center;
    }
}

@media(max-width: 820px){
    .main_recognized_signs_block {
        width: 100px;
        height: 100px;
    }
    .main_style_stream {
        width: 100%;
        max-width: 412px;
        height: 280px;
        border-radius: 26px;
    }
    .config {

        width: 170px;
        max-height: 60px;
        font-size: 16px;
    }
    .footer_button_start_and_stop {
        width: 100%;
        max-width: 140px;
        height:60px;
        font-size: 28px;
    }
    .footer_detaction {
        margin: -32px 0 10px 0;
    }
    .container {
        padding: 0px 0 0 0 ;
    }
    .footer_buttons {
        margin: 10px 0px;
        /*background: #20f005;*/
        max-height: 120px;
        display: flex;
        justify-content: center;
        gap: 100px;
        align-items: center;
    }
    .main_recognized_signs {

        display: flex;
        flex-direction: column;
        align-items: flex-end;
        gap: 10px;
    }
    .header_detaction {
        /*background: rgb(231, 0, 0);*/
        max-width: 100%;
        margin: -120px 0px 0px -15px;
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;
        max-height: 150px;
    }
}
@media(max-width: 530px){
    .main_recognized_signs_block {
        width: 100px;
        height: 100px;
    }
    .main_style_stream {
        width: 100%;
        max-width: 320px;
        height: 208px;
        border-radius: 26px;
    }
    .config {

        width: 320px;
        max-height: 60px;
        font-size: 16px;
    }
    .footer_button_start_and_stop {
        width: 100%;
        max-width: 160px;
        height:60px;
        font-size: 28px;
    }
    .footer_detaction {
        margin: 50px 0 10px 0;
    }
    .container {
        padding: 0px 0 0 0 ;
    }
    .footer_buttons {
        margin: 10px 0px;
        /*background: #20f005;*/
        max-height: 120px;
        display: flex;
        justify-content: center;
        gap: 20px;
        align-items: center;
    }
    .main_recognized_signs {
        display: flex;
        flex-direction: row;
        align-items: flex-end;
        gap: 10px;
    }
    .header_detaction2 {
        visibility: hidden;
        /*background: rgb(231, 0, 0);*/
        max-width: 100%;
        margin: -120px 0px 0px -15px;
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;
        max-height: 150px;
    }
    .header_detaction {
        visibility: hidden;
        /*background: rgb(231, 0, 0);*/
        max-width: 100%;
        margin: -120px 0px 0px -15px;
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;
        max-height: 150px;
    }
    .main{
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 25px;
        align-items: center;
        flex: 1 1 auto;
    }
    .qwerty {
        visibility: visible;
        /*background: rgb(231, 0, 0);*/
        max-width: 100%;
        margin-top: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        max-height: 150px;
    }
    
}
